Package org.apache.wiki.plugin

## Class InsertPage

- java.lang.Object
- - org.apache.wiki.plugin.InsertPage

All Implemented Interfaces:
  `Plugin`

    public class InsertPage
    extends java.lang.Object
    implements Plugin

Inserts page contents. Muchos thanks to Scott Hurlbert for the initial code.

Parameters :

- page - the name of the page to be inserted
- style - the style to use
- maxlength - the maximum length of the page to be inserted (page contents)
- class - the class to use
- section - the section of the page that has to be inserted (separated by "----"
- default - the text to insert if the requested page does not exist

Since:
  2.1.37

### Field Summary

Fields
`static java.lang.String` `ATTR_RECURSE` This attribute is stashed in the WikiContext to make sure that we don't have circular references.
`static java.lang.String` `PARAM_CLASS` Parameter name for setting the class.
`static java.lang.String` `PARAM_DEFAULT` Parameter name for setting the default.
`static java.lang.String` `PARAM_MAXLENGTH` Parameter name for setting the maxlength.
`static java.lang.String` `PARAM_PAGENAME` Parameter name for setting the page.
`static java.lang.String` `PARAM_SECTION` Parameter name for setting the section.
`static java.lang.String` `PARAM_SHOW` Parameter name for setting the show option.
`static java.lang.String` `PARAM_STYLE` Parameter name for setting the style.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`InsertPage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_PAGENAME

    public static final java.lang.String PARAM_PAGENAME

Parameter name for setting the page. Value is `"page"`.

See Also:
  Constant Field Values

#### PARAM_STYLE

    public static final java.lang.String PARAM_STYLE

Parameter name for setting the style. Value is `"style"`.

See Also:
  Constant Field Values

#### PARAM_MAXLENGTH

    public static final java.lang.String PARAM_MAXLENGTH

Parameter name for setting the maxlength. Value is `"maxlength"`.

See Also:
  Constant Field Values

#### PARAM_CLASS

    public static final java.lang.String PARAM_CLASS

Parameter name for setting the class. Value is `"class"`.

See Also:
  Constant Field Values

#### PARAM_SHOW

    public static final java.lang.String PARAM_SHOW

Parameter name for setting the show option. Value is `"show"`.

See Also:
  Constant Field Values

#### PARAM_SECTION

    public static final java.lang.String PARAM_SECTION

Parameter name for setting the section. Value is `"section"`.

See Also:
  Constant Field Values

#### PARAM_DEFAULT

    public static final java.lang.String PARAM_DEFAULT

Parameter name for setting the default. Value is `"default"`.

See Also:
  Constant Field Values

#### ATTR_RECURSE

    public static final java.lang.String ATTR_RECURSE

This attribute is stashed in the WikiContext to make sure that we don't have circular references.

See Also:
  Constant Field Values

### Constructor Detail

#### InsertPage

    public InsertPage()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`